/**
 * An exception for when a Queue method encounters a problem.
 *
 * @author Zach Tomaszewski
 * @version 29 Oct 2003
 */
public class QueueException extends Exception{
 
  /**
   * Constructs a new exception with no detail message. 
   */
  public QueueException( ){
    super();
  }
  
  /**
   * Constructs a new exception with the specified detail message.
   *
   * @param  message   the detail message for this exception to hold
   */
  public QueueException (String message){
    super(message);
  }

} //end class 
