/**
 * An exception for when a Stack method encounters a problem.
 *
 * @author Zach Tomaszewski
 * @version 22 Oct 2003
 */
public class StackException extends Exception{
 
  /**
   * Constructs a new exception with no detail message. 
   */
  public StackException( ){
    super();
  }
  
  /**
   * Constructs a new exception with the specified detail message.
   *
   * @param  message   the detail message for this exception to hold
   */
  public StackException (String message){
    super(message);
  }

} //end class 
